PETSc version 3.15.5
Fix/Edit manual page

# TSAdaptRegister

adds a TSAdapt implementation

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdaptRegister(const char sname[],PetscErrorCode (*function)(TSAdapt))

Not Collective

### Input Parameters

| name_scheme | - name of user-defined adaptivity scheme
| routine_create | - routine to create method context

### Notes

TSAdaptRegister() may be called multiple times to add several user-defined families.

### Sample usage

       TSAdaptRegister("my_scheme",MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

        TSAdaptSetType(ts,"my_scheme")

or at runtime via the option

        -ts_adapt_type my_scheme

### See Also

TSAdaptRegisterAll()

### Level

advanced

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages